# $Revision: 1.10 $, $Date: 2011/11/05 01:03:24 $
Summary:	Abstraction layer on top of video4linux2 devices
Summary(pl.UTF-8):	Warstwa abstrakcji dla urządzeń video4linux2
Name:		libv4l
%define	pkgname	v4l-utils
Version:	0.8.5
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://linuxtv.org/downloads/v4l-utils/%{pkgname}-%{version}.tar.bz2
# Source0-md5:	037bec9f68cfb0b84bcccb00d30e429b
URL:		http://hansdegoede.livejournal.com/
BuildRequires:	QtGui-devel
BuildRequires:	libstdc++-devel
BuildRequires:	sysfsutils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Collection of libraries which adds a thin abstraction layer on top of
video4linux2 devices. The purpose of this (thin) layer is to make it
easy for application writers to support a wide variety of devices
without having to write seperate code for different devices in the
same class.

%description -l pl.UTF-8
libv4l to zestaw bibliotek dodający niewielką warstwę abstrakcji dla
urządzeń video4linux2. Celem tej warstwy jest ułatwienie autorom
aplikacji obsługi szerokiej gamy urządzeń bez pisania osobnego kodu
dla różnych urządzeń tej samej klasy.

%package devel
Summary:	Header files for libv4l libraries
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek libv4l
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libv4l libraries.

%description devel -l pl.UTF-8
Pliki nagłówkowe bibliotek libv4l.

%package -n ir-keytable
Summary:	Alter keymaps of Remote Controller devices
License:	GPL v2+
Group:		Applications/Console

%description -n ir-keytable
Dump, Load or Modify IR receiver input tables. This package allows one
to change the keymap of controller receivers. Those receivers are
found as infrared receivers on DVB sticks or on framegrabber cards.
Via ir-keytable the mapping from a scancode to the generated event can
be customized and made persistent

%package -n %{pkgname}
Summary:	Collection of command line video4linux utilities
License:	GPL v2+
Group:		Applications/Console

%description -n %{pkgname}
A series of utilities for media devices, allowing to handle the
proprietary formats available at most webcams (libv4l), and providing
tools to test V4L devices. 

%package -n %{pkgname}-qt
Summary:	Qt V4L2 test Utility
License:	GPL v2+
Group:		X11/Applications

%description -n %{pkgname}-qt
Graphical Qt v4l2 control panel.

%prep
%setup -q -n %{pkgname}-%{version}
%if "%{pld_release}" == "ac"
%{__sed} -i 's/-fvisibility=hidden//' */Makefile
%endif

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcppflags} %{rpmcflags} -Wall" \
	LDFLAGS="%{rpmcflags} %{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	PREFIX=%{_prefix} \
	LIBDIR=%{_libdir} \
	DESTDIR=$RPM_BUILD_ROOT

install utils/rds/rds-saa6588 $RPM_BUILD_ROOT%{_bindir}
install utils/xc3028-firmware/firmware-tool $RPM_BUILD_ROOT%{_bindir}/xc3028-firmware

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libv4l*.so.0
%attr(755,root,root) %{_libdir}/libv4l

%files devel
%defattr(644,root,root,755)
%doc README.lib*
%attr(755,root,root) %{_libdir}/libv4l*.so
%{_includedir}/libv4l*.h
%{_pkgconfigdir}/libv4l*.pc

%files -n ir-keytable
%config(noreplace) %{_sysconfdir}/rc_*
/lib/udev/rules.d/70-infrared.rules
%attr(755,root,root) %{_bindir}/ir-keytable
%{_mandir}/man1/ir-keytable.1*

%files -n %{pkgname}
%doc ChangeLog README TODO contrib
%attr(755,root,root) %{_bindir}/*-ctl
%attr(755,root,root) %{_bindir}/decode_tm6000
%attr(755,root,root) %{_bindir}/rds-saa6588
%attr(755,root,root) %{_bindir}/v4l2-*
%attr(755,root,root) %{_bindir}/xc3028-firmware
%attr(755,root,root) %{_sbindir}/v4l2-dbg

%files -n %{pkgname}-qt
%attr(755,root,root) %{_bindir}/qv4l2
%{_desktopdir}/qv4l2.desktop
%{_iconsdir}/hicolor/*/apps/qv4l2.*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libv4l.spec,v $
Revision 1.10  2011/11/05 01:03:24  gotar
- longer ir-keytable %desc from Debian package. Note this spec should be renamed

Revision 1.9  2011/11/05 00:58:32  gotar
- upgraded to 0.8.5 full & original v4l-utils maintained package, main URL,
- build and package all the missing tools, don't overdo with verbose lists,
- summary/descriptions/other cosmetics, put contrib in v4l-utils %doc

Revision 1.8  2010/11/06 17:31:49  qboosh
- License is LGPL and Group is Libraries
- explicit sonames
- pl

Revision 1.7  2010/07/12 22:45:09  cactus
- up to 0.6.4; lots of bugfixes, new source adress

Revision 1.6  2010/01/20 00:37:02  sparky
- up to 0.6.1
- use __cc and rpm*flags
- explicit %files
- kill -fvisibility=hidden if building on Ac

Revision 1.5  2009/07/09 17:26:10  paszczus
- updated to 0.6.0

Revision 1.4  2009/06/14 14:46:26  cactus
- just make install and we have 2 more needed libs
- TODO: add LD_PRELOAD=%{_libdir}/libv4l/v4l1compat.so to skype etc. or sf

Revision 1.3  2009/06/13 18:33:33  cactus
- up to 0.5.99

Revision 1.2  2009/05/28 07:33:18  paszczus
- updated to 0.5.98

Revision 1.1  2009/05/28 07:13:35  paszczus
- initial
